org.red5.server.stream.filter

## Class StreamBandwidthController

- java.lang.Object
- - org.red5.server.stream.filter.StreamBandwidthController

All Implemented Interfaces:
  Runnable, IConsumer, IFilter, IMessageComponent, IPipeConnectionListener, IProvider

    public class StreamBandwidthController
    extends Object
    implements IFilter, IPipeConnectionListener, Runnable

Controls stream bandwidth

### Field Summary

Fields
`static String` `KEY` Class name

### Constructor Summary

Constructors
Constructor and Description
`StreamBandwidthController()`

### Method Summary

Methods
`void` `close()` Stop pulling, close stream
`void` `onOOBControlMessage(IMessageComponent source, IPipe pipe, OOBControlMessage oobCtrlMsg)`
`void` `onPipeConnectionEvent(PipeConnectionEvent event)` Pipe connection event handler
`void` `run()`
`void` `start()` Start pulling (streaming)

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### KEY

    public static final String KEY

Class name

### Constructor Detail

#### StreamBandwidthController

    public StreamBandwidthController()

### Method Detail

#### onPipeConnectionEvent

    public void onPipeConnectionEvent(PipeConnectionEvent event)

Pipe connection event handler

Specified by:
  `onPipeConnectionEvent` in interface `IPipeConnectionListener`
Parameters:
  `event` - Pipe connection event

#### onOOBControlMessage

    public void onOOBControlMessage(IMessageComponent source,
                           IPipe pipe,
                           OOBControlMessage oobCtrlMsg)

Specified by:
  `onOOBControlMessage` in interface `IMessageComponent`
Parameters:
  `source` - Message component source
  `pipe` - Connection pipe
  `oobCtrlMsg` - Out-of-band control message

#### run

    public void run()

Specified by:
  `run` in interface `Runnable`

#### start

    public void start()

Start pulling (streaming)

#### close

    public void close()

Stop pulling, close stream